var SystemPropertiesModel = EventDispatcher.extend({
  started: false,
  properties: {},
  service: null,

  start: function() {
    if(!this.started) {
      this.service.addEventListener('message', jQuery.proxy(function(type, message) {
        if(message.request == "SYSTEM_PROPERTIES") {
          this.properties = message.properties;
          this.dispatchEvent('change');
        }
      }, this));

      this.started = true;
    }
  },
});

(function () {
  var SystemPropertiesModelProvider = Class.extend({
    instance: new SystemPropertiesModel(),
    $get:['WebsocketService', function(websocketService) {
      this.instance.service = websocketService;
      return this.instance;
    }]
  })
  angular.module('easyscott.SystemPropertiesModel',['easyscott.WebsocketService']).provider('SystemPropertiesModel',SystemPropertiesModelProvider);
}());
